Loading...
Searching...
No Matches
massspectrum.cpp File Reference

basic mass spectrum More...

`#include <cmath>`
`#include <numeric>`
`#include <limits>`
`#include <vector>`
`#include <map>`
`#include <QDebug>`
`#include "../trace/datapoint.h"`
`#include "../trace/trace.h"`
`#include "massspectrum.h"`
`#include "../processing/combiners/massspectrumcombiner.h"`
`#include "../mzrange.h"`
`#include "../pappsoexception.h"`
`#include "../peptide/peptidefragmentionlistbase.h"`
`#include "../exception/exceptionoutofrange.h"`
`#include "../processing/filters/filterresample.h"`

Go to the source code of this file.

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Functions

QDataStream & | pappso::operator<< (QDataStream &outstream, const MassSpectrum &massSpectrum)
QDataStream & | pappso::operator>> (QDataStream &instream, MassSpectrum &massSpectrum)

## Variables

int | massSpectrumMetaTypeId
int | massSpectrumPtrMetaTypeId

## Detailed Description

basic mass spectrum

Date
  15/3/2015

Author
  Olivier Langella

Definition in file massspectrum.cpp.

## Variable Documentation

## massSpectrumMetaTypeId

int massSpectrumMetaTypeId

Initial value:
=
qRegisterMetaType<pappso::MassSpectrum>("pappso::MassSpectrum")

Definition at line 51 of file massspectrum.cpp.

## massSpectrumPtrMetaTypeId

int massSpectrumPtrMetaTypeId

Initial value:
=
qRegisterMetaType<pappso::MassSpectrum *>("pappso::MassSpectrum *")

Definition at line 53 of file massspectrum.cpp.